mathiasbynens mathiasbynens

identifier-identification

1 7 0

A JavaScript prollyfill for the proposed `String.isIdentifierStart` and `String.isIdentifierPart` methods, based on the March 8, 2013 draft of the strawman.

Dependencies

Package Locked Requirement Latest Status Changelog
There is no runtime dependency.
Package Locked Requirement Latest Status Changelog
Npms grunt ^0.4.5 1.0.1

grunt

The JavaScript Task Runner

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-template ^0.2.3 1.0.0

grunt-template

Grunt plugin that interpolates template files with any data you provide and saves the result to another file.

This dependency is not matching latest version. Please consider upgrading.

Npms jsesc ^0.5.0 2.2.0

jsesc

A JavaScript library for escaping JavaScript strings while generating the shortest possible valid output.

This dependency is not matching latest version. Please consider upgrading.

Npms lodash ^2.4.1 4.17.2

lodash

Lodash modular utilities.

This dependency is not matching latest version. Please consider upgrading.

Npms regenerate ^1.2.1 1.3.2

regenerate

Generate JavaScript-compatible regular expressions based on a given set of Unicode symbols or code points.

This dependency is up-to-date. Congrats and keep going!

Npms unicode-3.0.0 ^0.1.5 0.7.0

unicode-3.0.0

JavaScript-compatible Unicode data. Arrays of code points, arrays of symbols, and regular expressions for Unicode v3.0.0’s categories, scripts, blocks, bidi, and other properties.

This dependency is not matching latest version. Please consider upgrading.

Npms unicode-5.1.0 ^0.1.5 0.7.0

unicode-5.1.0

JavaScript-compatible Unicode data. Arrays of code points, arrays of symbols, and regular expressions for Unicode v5.1.0’s categories, scripts, blocks, bidi, and other properties.

This dependency is not matching latest version. Please consider upgrading.

Npms unicode-6.3.0 ^0.1.5 0.7.0

unicode-6.3.0

JavaScript-compatible Unicode data. Arrays of code points, arrays of symbols, and regular expressions for Unicode v6.3.0’s categories, scripts, blocks, bidi, and other properties.

This dependency is not matching latest version. Please consider upgrading.